Subject: Re: [bug#32822] [PATCH 0/4] Finish rust bootstrapping.

From: Danny Milosavljevic <[email-masked]>
Date: Tue, 25 Sep 2018 10:01:49 +0200

Hi Ludo,

On Mon, 24 Sep 2018 21:38:21 +0200
[email-masked] (Ludovic Courtès) wrote:

> Danny Milosavljevic <[email-masked]> skribis:
> 
> > Danny Milosavljevic (4):
> >   gnu: rust: Hide "ar" entry from [email-masked].
> >   gnu: [email-masked]: Bootstrap by [email-masked].
> >   gnu: [email-masked]: Use rust-bootstrapped-package.
> >   gnu: rust: Remove binary bootstrapper.  
> 
> Do I get it right that mrustc is capable enough to build Rust 1.19, and
> from there on we have the full chain?

Yes (except for MIPS, where mrustc doesn't have the target settings in
upstreeam - but I do, but untested).

> That sounds really exciting!  And worth a blog post :-), if only to
> share with those who care about building from source: #bootstrappable,
> Debian, and other reproducible build people.

Sure.  Should I just E-Mail the text or how do I get it into the blog?

> FWIW the patches LGTM.  I suppose you could push them to wip-rust, then
> we let hydra and berlin build it, and once it’s built (could be 36h
> later?) we merge into master.

Okay.  I've pushed them to wip-rust.  How do we make hydra and berlin build it?